# QTextCodecPlugin Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QTextCodecPlugin(QObject parent)

### Constructor Properties

- prototype: The QTextCodecPlugin prototype object

### Prototype Object Properties

The QTextCodecPlugin prototype object inherits properties from the QObject prototype object and also has the following properties.

- List aliases()
- QTextCodec createForMib(int mib)
- QTextCodec createForName(QByteArray name)
- List mibEnums()
- List names()

### Instance Properties

QTextCodecPlugin objects have no special properties beyond those inherited from the QTextCodecPlugin prototype object.